import type { IRpcApiSubscriptions, Slot } from '@solana/rpc-types';
type SlotNotificationsApiNotification = Readonly<{
    parent: Slot;
    root: Slot;
    slot: Slot;
}>;
export interface SlotNotificationsApi extends IRpcApiSubscriptions {
    /**
     * Subscribe to receive notification anytime a slot is processed by the validator
     */
    slotNotifications(NO_CONFIG?: Record<string, never>): SlotNotificationsApiNotification;
}
export {};
//# sourceMappingURL=slot-notifications.d.ts.map